sexta-feira, 22 de agosto de 2008

Firefox 3 no Debian Etch, com Gtk2 2.10 e com Suporte a Temas.

Editado, a forma anterior tinha um problema, a impressora não funcionava, e também como ao resolver o problema do tema eu fiz a postagem, não estava testado e também melhor conhecido do motivo do problema.
Até o lançamento do Lenny, pode acontecer de ter que mudar alguma coisa, até estar tudo certinho e bem testado, qualquer problema posta, assim se vai arrumando.


Instalando Pacotes Oficiais do Firefox, Thunderbird, SeaMonkey no Debian Lenny 5.0
http://flavioblogg.blogspot.com/2009/01/pacotes-oficiais-do-firefox-thunderbird.html


Sem querer acabei achando o problema, apesar de já ter procurado dessa forma, não devo ter feito assim.

A solução é bem simples.
Agora com o Firefox 3 fechado, renomeie esse diretório
renomeie

/opt/gtk210/lib/gtk-2.0/2.10.0/engines

para

/opt/gtk210/lib/gtk-2.0/2.10.0/engines-gtknew


link de

/usr/lib/gtk-2.0/2.4.0/engines

para

/opt/gtk210/lib/gtk-2.0/2.10.0/


Agora abra o firefox 3 e veja se ele esta com o tema escolido para o Gtk.

Olha como ficou aqui, com o tema do Gtk que eu uso.





Mesmo assim, de preferência para o Firefox 2 para usar em transações de segurança, e usa o 3 para o uso diário.

Guia, Instalar Firefox 3 no Debian Etch, com Gtk2 2.10

http://flavioblogg.blogspot.com/2008/07/guia-instalar-firefox-3-no-debian-etch.html

6 comentários:

yportimd disse...

Qual a razão para a instalação do qtpixmap?

Acho que o aviso de segurança não é assim tão importante, desde que esteja usando a última versão do Firefox 3. Não há motivo algum para acreditar que ele é mais inseguro que a versão 2, que mesmo quando há bugs, há um certo atraso por parte do time de segurança em liberar a correção.

Até mais!

Flávio disse...

Eu uso Kde, o Firefox 3 indica erro num arquivo desse pacote, eu ja tinha instalado mas ele não achava, ao achar ele habilitou o tema Gtk.

Ele é alguma coisa do tema não sei exatamente o que.
mais informação.
http://packages.debian.org/etch/gtk2-engines-qtpixmap

Acredito que tem a ver com o tema Gtk que eu uso o geramik no Kde.

pacote do tema geramik.
gtk2-engines-geramik
http://packages.debian.org/etch/gtk2-engines-geramik

Na pressa nem percebi, passei apenas o que era necessário para mim, parece ser isso mesmo, ele pede esse pacote.

Se não funcionar o tema mesmo no gnome o que usa, independente de qual seja o tema, posta aqui.


O problema de segurança esta na integração dele, ja que o gtk esta a parte, e como no caso do tema tive que colocar.
E de o gtk não esta com um cuidado sobre bugs.

O firefox 2 esta todo integrado e tudo com cuidado sobre bugs.

yportimd disse...

Perfeito!

O problema no GTK só seria resolvido aplicando os devidos patches de segurança, caso tenha ocorrido algum bug. Mas de fato, seria mesmo trabalhoso demais para isso, apesar de que os riscos são mínimos.

Até mais!

Flávio disse...

Infelizmente encontrei um probleminha dessa forma de colocar os temas, mas ja arrumei (a impressora não funcionava).

Vou ter que alterar algumas coisas no texto, mas como essa forma não esta bem testada, amanhã ou depois vou analisar se é melhor alterar até se achar a solução melhor, agora vou dormir não vai dar.

De qualquer forma, até lançar o lenny, e até a forma estar bem testada, se pode ter que alterar de novo.

a solução que encontrei, funciona os temas e a impressora também assim.

renomeie

/opt/gtk210/lib/gtk-2.0/2.10.0/engines

para

/opt/gtk210/lib/gtk-2.0/2.10.0/engines-gtknew


link de

/usr/lib/gtk-2.0/2.4.0/engines

para

/opt/gtk210/lib/gtk-2.0/2.10.0/

Thiago Paes disse...

Show de bola.. recém instalei o etch aqui no meu note em substituição ao Slack, e segui teu manual aqui sem problemas.. valeu a dica!

Flávio disse...

Thiago Paes

Obrigado por retornar e comentar como foi, isso é bom para achar algum erro que possa ter ou demostrar que esta bom o guia.